Page MenuHomePhabricator

copies: add an explicit test using multiple roots
ClosedPublic

Authored by marmoute on Oct 12 2019, 12:47 PM.

Details

Summary

We explicitly add a test checking for copies of connected revision but involving
a different roots. This make sure the copies coming purely from the new roots
does not interfere with the merge.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Oct 12 2019, 12:47 PM
martinvonz added inline comments.
tests/test-copies-unrelated.t
398

nit: maybe "involving *merge* of multiple roots" to clarify how it's different from the case above

403–406

nit: These seem unlikely to have any effect on the result. remove them? Or at least one of them? OTOH, you seem to have deliberately made the contents match in revision 2 and revision 7. What's the reason for that? Did that trigger a bug in an earlier version of this series?

marmoute updated this revision to Diff 17277.Oct 16 2019, 6:56 PM
marmoute added inline comments.Oct 17 2019, 4:44 PM
tests/test-copies-unrelated.t
403–406

I don't want to write too simple test. There are various optimisation to have around revision without copy informations. So I am adding them in various situation to cache potential error if we introduce such optimisation.

The content match is just here so that `hg merge does not complains about a content conflicT)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.